org.eclipse.jdt.core

## Interface IModularClassFile

All Superinterfaces:
  IAdaptable, IClassFile, ICodeAssist, IJavaElement, IOpenable, IParent, ISourceReference, ITypeRoot

    public interface IModularClassFile
    extends IClassFile

Represents the class file of a module description ("module-info.class").

Since:
  3.14
Restriction:
  This interface is not intended to be implemented by clients.

### Field Summary

### Fields inherited from interface org.eclipse.jdt.core.IJavaElement

`ANNOTATION, CLASS_FILE, COMPILATION_UNIT, FIELD, IMPORT_CONTAINER, IMPORT_DECLARATION, INITIALIZER, JAVA_MODEL, JAVA_MODULE, JAVA_PROJECT, LOCAL_VARIABLE, METHOD, PACKAGE_DECLARATION, PACKAGE_FRAGMENT, PACKAGE_FRAGMENT_ROOT, TYPE, TYPE_PARAMETER`

### Method Summary

All Methods Instance Methods Abstract Methods
`IModuleDescription` `getModule()` Returns the module description contained in this type root.

### Methods inherited from interface org.eclipse.jdt.core.IClassFile

`becomeWorkingCopy, getBytes, getType, getWorkingCopy, isClass, isInterface`

### Methods inherited from interface org.eclipse.jdt.core.ITypeRoot

`findPrimaryType, getElementAt, getWorkingCopy`

### Methods inherited from interface org.eclipse.jdt.core.IJavaElement

`exists, getAncestor, getAttachedJavadoc, getCorrespondingResource, getElementName, getElementType, getHandleIdentifier, getJavaModel, getJavaProject, getOpenable, getParent, getPath, getPrimaryElement, getResource, getSchedulingRule, getUnderlyingResource, isReadOnly, isStructureKnown`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.jdt.core.IParent

`getChildren, hasChildren`

### Methods inherited from interface org.eclipse.jdt.core.IOpenable

`close, findRecommendedLineSeparator, getBuffer, hasUnsavedChanges, isConsistent, isOpen, makeConsistent, open, save`

### Methods inherited from interface org.eclipse.jdt.core.ISourceReference

`exists, getNameRange, getSource, getSourceRange`

### Methods inherited from interface org.eclipse.jdt.core.ICodeAssist

`codeComplete, codeComplete, codeComplete, codeComplete, codeComplete, codeComplete, codeComplete, codeSelect, codeSelect`

### Method Detail

#### getModule

    IModuleDescription getModule()
                          throws JavaModelException

Returns the module description contained in this type root. An error-free `IModularClassFile` should always have a module.

Specified by:
  `getModule` in interface `ITypeRoot`
Returns:
  the module description contained in the type root.
Throws:
  `JavaModelException`